For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityAPI StatusAPI PricingSign Up
DocumentationAPI ReferencesCookbook
DocumentationAPI ReferencesCookbook
  • API Reference
    • Introduction
    • Authentication
    • Access to Beta APIs
    • Meta Prompt Guide
  • Endpoints
      • POSTREST
      • WSSWebSocket
      • POSTBatch - Initiate Job
      • POSTBatch - Upload Files
      • POSTBatch - Start Job
      • GETBatch - Get Status
      • POSTBatch - Download Results
LogoLogo
CommunityAPI StatusAPI PricingSign Up
EndpointsSpeech to Text Translate

Batch - Download Results

POST
https://api.sarvam.ai/speech-to-text-translate/job/v1/download-files
POST
/speech-to-text-translate/job/v1/download-files
$curl -X POST https://api.sarvam.ai/speech-to-text-translate/job/v1/download-files \
> -H "api-subscription-key: <apiSubscriptionKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "job_id": "job-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b",
> "files": [
> "transcription_001_en_to_es.txt",
> "transcription_002_en_to_es.txt"
> ]
>}'
1{
2 "job_id": "job-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b",
3 "job_state": "Completed",
4 "download_urls": {},
5 "storage_container_type": "Azure"
6}
Generate presigned download URLs for the translated transcription output files of a completed speech to text translate bulk job
Was this page helpful?
Previous

REST

Next
Built with

Authentication

api-subscription-keystring
API Key authentication via header

Headers

api-subscription-keystringOptionalDefaults to
Your unique subscription key for authenticating requests to the Sarvam AI Speech-to-Text API. [Here are the steps to get your api key](https://docs.sarvam.ai/api-reference-docs/authentication#obtaining-your-api-subscription-key)

Query parameters

ptu_idinteger or nullOptional

Request

This endpoint expects an object.
job_idstringRequired
fileslist of stringsRequired

Response

Successful Response
job_idstring
job_stateenum
Allowed values:
download_urlsmap from strings to objects
storage_container_typeenum
Allowed values:

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error

Your unique subscription key for authenticating requests to the Sarvam AI Speech-to-Text API. Here are the steps to get your api key